#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"

TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    find_minmax({1, 2}, min, max);
    CHECK(min == 1);
    CHECK(max == 2);
}

TEST_CASE("distinct negative numbers") {
    double min = 0;
    double max = 0;
    find_minmax({-1, -2}, min, max);
    CHECK(min == -2);
    CHECK(max == -1);
}

TEST_CASE("distinct one number") {
    double min = 0;
    double max = 0;
    find_minmax({-1}, min, max);
    CHECK(min == -1);
    CHECK(max == -1);
}

TEST_CASE("distinct empty array") {
    double min = 0;
    double max = 0;
    std::vector<double> numbers;
    find_minmax(numbers, min, max);
    CHECK(min == 0);
    CHECK(max == 0);
}


